﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="ARQ.WebSyncfusionSample.Gantt.Default" %>

<%@ Register Assembly="Syncfusion.EJ.Web, Version=12.4400.0.24, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.JavaScript.Web" TagPrefix="ej" %>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <link href="../Content/ej/default-theme/ej.theme.min.css" rel="stylesheet" />
    <link href="../Content/ej/ej.widgets.core.min.css" rel="stylesheet" />
    <script src="../Scripts/jquery-1.10.2.min.js" type="text/javascript"></script>
    <script src="../Scripts/jsrender.min.js" type="text/javascript"></script>
    <script src="../Scripts/jquery.easing-1.3.min.js" type="text/javascript"></script>
    <script src="../Scripts/jquery.globalize.min.js" type="text/javascript"></script>
    <script src="../Scripts/ej/cultures/globalize.culture.es-ES.min.js" type="text/javascript"></script>
    <script src="../Scripts/ej/ej.web.all.min.js" type="text/javascript"></script>
</head>
<body>
    <form id="form1" runat="server">
    <ej:Gantt ID="GanttControlDefault" runat="server" AllowSelection="true" AllowColumnResize="true"
        Locale="es-ES" TaskIdMapping="TaskID" TaskNameMapping="TaskName" ScheduleStartDate="01/01/2015"
        ScheduleEndDate="01/03/2015" StartDateMapping="StartDate" EndDateMapping="EndDate" DurationMapping="Duration"
        ProgressMapping="Progress" ChildMapping="SubTasks" TreeColumnIndex="1"  DurationUnit="Hour"
        DateFormat="dd/MM/yyyy hh:mm:ss" Load="load">
        <ScheduleHeaderSettings ScheduleHeaderType="Day" DayHeaderFormat="dd MMMM yy" HourHeaderFormat="HH" />
        <EditSettings AllowEditing="true" AllowAdding="true" AllowDeleting="true" EditMode="cellEditing" />
    </ej:Gantt>
    
    
    <script type="text/x-jsrender" id="columnTemplate">   
        <div>{{:#data['PartNumber']}}</div>
    </script>

    <script type="text/x-jsrender" id="columnTemplateBool">
        <input id="groupCheckBoxList" name="groupCheckBoxList"  type="checkbox" value="{{:#data['Dispatched']}}" />
    </script>   
    
    <script type="text/javascript">
        function load(args) {
            var columns = this.getColumns();
            columns.splice(10, 0,
               {
                   field: "PartNumber",
                   headerText: "PartNumber",
                   columnTemplate: true,
                   templateId: "columnTemplate",
                   width: "220px"
               });
            columns.splice(10, 0,
               {
                   field: "Dispatched",
                   headerText: "Dispatched",
                   columnTemplate: true,
                   templateId: "columnTemplateBool",             
                   width: "120px"
               });
        }
    </script>
    </form>
</body>
</html>
